Bug 982102 - [All LANG][RHSM CLI] Unlocalized strings for status module.
[All LANG][RHSM CLI] Unlocalized strings for status module.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: Translation
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-07-08 03:15 EDT by Lijun Li
Modified: 2013-10-01 09:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:49:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2013-07-08 03:15:27 EDT
Description of problem:
[All LANG][RHSM CLI] Unlocalized strings for status module.

Version-Release number of selected component (if applicable):
RHEL5.10 Beta 1 build:
subscription-manager-1.8.11-1.el5

How reproducible:
100%

Steps to Reproduce:
1. Install latest RHEL5.10 Beta 1 build and run the following rhsm cli from terminal with local languages.


Actual results:
# subscription-manager -h
使い方: subscription-manager モジュール名 [モジュールオプション] [--help]

プライマリモジュール:

  attach         指定したサブスクリプションを登録済みのシステムに割り当てる
  list           このシステムのサブスクリプションと製品情報を表示
  refresh        サーバーから最新のサブスクリプションデータを引き出す
  register       このシステムをカスタマーポータルまたは別のサブスクリプション管理サービスに登録します
  release        使用するオペレーティングシステムを設定
  remove         このシステムからすべてまたは特定のサブスクリプションを削除
  status         Show status information for this system's subscriptions and products
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized

# subscription-manager status -h
使用法: subscription-manager status [オプション]

Show status information for this system's subscriptions and products

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized

# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized

Expected results:
All the strings should be localized.

Additional info:
Comment 1 Bryan Kearney 2013-07-11 05:05:02 EDT
fixed in subscription-manager-1.8.13
Comment 2 Sharath Dwaral 2013-07-16 13:45:28 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.8.13-1.el5_9
subscription-manager-migration-1.8.13-1.el5_9
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5_9
subscription-manager-debuginfo-1.8.13-1.el5_9
subscription-manager-gui-1.8.13-1.el5_9

Verification:

Verified for the following languages

Oriya 		or_IN
Assamese	as_IN
Hindi 		hi_IN
Marati		mr_IN
Gujarati	gu_IN
Kannada		kn_IN
Tamil		ta_IN
Telgu		te_IN
Malayalam	ml_IN

Chinese		zh_CN	
Korean		ko_KR
Japanese	ja_JP	
Taiwanese	zh_TW
Portuguese      pt_BR
Spanish 	es_ES
German		de_DE
French		fr_FR
Italian		it_IT

LANGS pa and bn-IN are currently 79% translated.  See...
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X

Moving back to new
Comment 3 Sharath Dwaral 2013-07-16 17:49:50 EDT
Version:

# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-migration-1.8.13-1.el5
subscription-manager-1.8.13-1.el5
subscription-manager-gui-1.8.13-1.el5
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5

Verification:

# LANG=zh_CN.UTF-8 subscription-manager -h
用法: subscription-manager MODULE-NAME [MODULE-选项] [--help]

主模块:

  attach         在注册的系统中附加指定的订阅
  list           为这个系统列出订阅和产品信息。
  refresh        从该服务器中提出最新订阅数据
  register       在客户门户网站或另外的订阅管理服务中注册这个系统。
  release        配置使用什么操作系统发行本
  remove         从这个系统中删除所有或者具体订阅
  status         显示这个系统订阅和产品的状态信息
  unregister     在客户门户网站或另外的订阅管理服务中取消注册这个系统。


# LANG=zh_CN.UTF-8 subscription-manager status
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
总体状态:无效


# LANG=zh_CN.UTF-8 subscription-manager status -h
使用:subscription-manager status [选项]

显示这个系统订阅和产品的状态信息

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     proxy URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP proxy 用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP proxy 密码

Moving to Verified
Bug 928082 is tracking pa and bn_IN translations

Note You need to log in before you can comment on or make changes to this bug.